# -*- coding: utf-8 -*-
"""Module for getting the data from the Lizard API."""
import json
import urllib2
import urllib

from .constants import BASE_URL
from .constants import WGS84
from .geometry import bbox_in_wkt
from .geometry import get_bbox
from .geometry import get_crs
from .geometry import transform_geometry


def get_data(asset_type, payload):
    """Function to get the JSON from the Lizard client."""
    # Encode the payload
    payload_encoded = urllib.urlencode(payload)

    # Set the url
    url = "{}{}/?{}".format(
        BASE_URL, asset_type,
        payload_encoded)

    # # Get the JSON
    response = urllib2.urlopen(url)
    r = json.load(response)
    results = r["results"]
    # count = r["count"]

    # Return the results
    return results


def use_bbox(iface):
    """Use bbox to filter data."""
    # 1. Get QGIS bbox
    south_west, north_east = get_bbox(iface)
    print south_west
    print north_east
    # 1.b Get current QGIS CRS
    source_crs = get_crs(iface.mapCanvas())
    print source_crs
    # 2. transform bbox from mapCanvas extent crs to EPSG4326  # Hiervoor is QGIS geometry nodig?
    dest_crs = WGS84
    x, y = south_west  # improve
    transform_geometry(x, y, source_crs, dest_crs)
    # 3. create bbox as WKT to become part of payload
    bbox_wkt = bbox_in_wkt(south_west, north_east)  # QGIS heeft ook WKT
    print bbox_wkt
    # query = "geom_within" if endpoint == 'timeseries' else "in_bbox"
    # return QueryDictionary({query: bbox(south_west, north_east)})
    return 'bbox'
